upgrade issue

  • Hi all, I have given the upgrade path a try on one of my systems, going from 5.6 to 6.0, I was on the latest updates. It all seems to go well until Openmediavault itself is being upgraded, this is the error log I get:


    It seems two python files are non-existent, does anyone have any advice on how to fix this?


    Thank you in advance for the help, would love to get it running and help testing.

  • You need to install usrmerge.

    omv 6.0.8-1 Shaitan | 64 bit | 5.15 proxmox kernel | omvextrasorg 6.0.5 | kvm plugin 6.0.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Thanks ryecoaaron, that did the install trick, I did have run omv-engined manually after this. Just for the report on what I did, hope it helps someone else too:


    First I started the regular opgrade buy disabling plugins that were not yet supported. I made sure my system was 5.6.18+ and updated it one last time. After that I ran

    Code
    omv-release-upgrade

    This resulted in the error stream reported above.


    After that I tried the manual install path found here. That gave the same errors but also reported packages in wrong versions. Obviously my Debian 11 upgrade ws not finished the first time round, which might have resulted in the errors. So I performed:

    Code
    apt dist-upgrade
    usrmerge

    After the upgrade I reran the manual install script and ran:

    Code
    omv-engined

    Thanks for the help again

  • chente

    Added the Label resolved
  • chente

    Added the Label OMV 6.x (RC1)

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!